Subject: bug#17971: 24.3.92; Patch to fix el compression on RHEL/CentOS 7

From: Paul Eggert <[email-masked]>
Date: Thu, 10 Jul 2014 23:37:48 -0700

Strange -- I cannot reproduce the problem with findutils 4.5.12 alpha, 
on either Fedora 20 or on Ubuntu 14.04 (both x86-64).

Stephen, can you do an 'strace' of the failing 'find' invocation? 
Something like this, where the files are not yet compressed:

cd "/home/shassard/opt/emacs/share/emacs/24.3.92/lisp"
strace -f -o /tmp/tr find . -name '*.elc' -exec /bin/sh -c \
     '/usr/bin/gzip -9n `expr "$1" : "\\(.*\\)c"`' dummy '{}' ';'

(/tmp/tr will be fairly large, alas) and look in /tmp/tr just before 
'find' issues its first complaint.